%define ver 0.10
%define name libmrproject

Summary: Support libraries for MrProject
Name: %name
Version: %ver
Release: imendio1
URL: http://www.mrproject.org/
Source0: %{name}-%{ver}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: glib2 >= 2.0.4
Requires: libxml2 >= 2.4.7
Requires: libgsf >= 1.4.0
Requires: postgresql-libs
BuildRequires: glib2-devel >= 2.0.4
BuildRequires: libxml2-devel >= 2.4.7
BuildRequires: libgsf-devel >= 1.4.0
BuildRequires: postgresql-devel

%description
A support library for accessing MrProject data.

%package devel
Summary:	The files needed for libmrproject application development.
Group: 		Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}
Requires:	glib2-devel >= 2.0.4
Requires:       libxml2-devel >= 2.4.7
BuildRequires:  libgsf-devel >= 1.4.0


%description devel
The libmrproject-devel package contains the necessary include files
for developing applications that access MrProject data


%prep
%setup -q

%build

%configure --enable-gtk-doc --enable-python
make

%install
rm -rf %{buildroot}
%makeinstall MRP_STORAGEMODULEDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/storage-modules
                                                                                           
# remove this, we aren't shipping it
rm -f $RPM_BUILD_ROOT%{_libdir}/libmrproject.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mrproject/*/*la
rm -f $RPM_BUILD_ROOT%{_libdir}/python2.2/site-packages/mrprojectmodule.la
                                                                                           
%find_lang %{name}

%post -p /sbin/ldconfig
                                                                                           
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*
%{_libdir}/mrproject/file-modules/lib*.so
%{_libdir}/mrproject/storage-modules/lib*.so
%{_libdir}/python2.2/site-packages/mrprojectmodule.so
%{_datadir}/mrproject/dtd/*.dtd
%{_datadir}/mrproject/stylesheets/*.xsl

%files devel
%defattr(-,root,root)
%doc %{_prefix}/share/gtk-doc/html/libmrproject/*
%{_libdir}/lib*.so
%{_libdir}/mrproject
%{_libdir}/pkgconfig/*
%{_prefix}/include/mrproject-1.0

%changelog
* Thu Feb  6 2003 Richard Hult <rhult@codefactory.se>
- Put spec.in file in cvs.

* Thu Nov 18 2002 Mikael Hallendal <micke@codefactory.se>
- Released 0.7

* Thu Nov  7 2002 Mikael Hallendal <micke@codefactory.se>
- Fixed deps
- Updated for 0.6.90

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


